viernes, 17 de abril de 2009

Instalar Forms6i para linux en Enterprise Linux 5.2

En primer lugar hay que crear el grupo dba, oinstall y el usuario oracle:

groupadd dba # group of users to be granted SYSDBA system privilege
groupadd oinstall # group owner of Oracle files
useradd -c "Oracle software owner" -g oinstall -G dba oracle
chown -R oracle.oinstall /oracle

Añadir las siguientes líneas al archivo .bash_profile:

export ORACLE_HOME=/oracle/dev6i
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$ORACLE_HOME/network/jre11/lib/linux/native_threads/:/usr/X11R6/lib/
export ORACLE_AUTOREG=$ORACLE_HOME/guicommon6/tk60/admin
export PATH=$PATH:$HOME/bin:$ORACLE_HOME/bin

Instalar gcc: yum install gcc

Instalar los siguientes paquetes:

libXp-1.0.0-8.1.el5.i386.rpm
lesstif-0.95.0-15.el5.kb.i386.rpm
compat-glibc-7.x-2.2.4.32.6.i386.rpm
openmotif-devel-2.1.30-5_ICS.i386.rpm
openmotif-2.1.30-5_ICS.i386.rpm

Descomprimir el archivo d2k6irelease2.tar (por ejemplo en /oracle/software), pero no instalarlo.

descomprimir p3851446_600_LINUX.zip (por ejemplo en /oracle/parche) y ejecutar la instalación, para ello ejecutamos lo siguiente:

export D2K6I_R2_SHIPHOME=/oracle/software/
cd /oracle/parche/bug3851446
./d2k6ir2_install_wrapper.sh

Descomprimir el archivo p6194129_60828_LINUX (parche 19) en la carpeta /software/dev6i

Ejecutar en entorno gráfico lo siguiente:

cd /oracle/dev6i/developer6i_patch19
./patch_install.sh

Relincar:

cd $ORACLE_HOME/procbuilder60/lib; make -f ins_procbuilder.mk install
cd $ORACLE_HOME/forms60/lib; make -f ins_forms60w.mk install
cd $ORACLE_HOME/graphics60/lib; make -f ins_graphics60w.mk install
cd $ORACLE_HOME/reports60/lib; make -f ins_reports60w.mk install


18 comentarios:

Jorgus dijo...

Buenas

Estoy interesado de ejecutar el forms runtime 6i en un fedora 10, esto que publicaste se aplica para eso? Para esto tengo que instalar el wine tambien? Tendras algun tutorial for dummies por ahi jeje.. Disculpa mi ignorancia pero soy nuevo en el uso del wine

marcelo dijo...

tienes algun tutorial para instalar el Developer 10g en UBUNTU, o se instala de la misma forma, por que al ejecutar directamente el runInstaler, valida las versiones de Distribucion y solo soporta REDHAT 4, 4.1 y Suse, un saludo y felicitaciones por tu Blog

sailefm dijo...

Tengo hecho pruebas de instalar developer 10g en ubuntu, pero todavía no he llegado a que me ejecute la instalación hasta el final, me falla al relinkar. En cuando lo logre pongo aquí todos los pasos.

David Beltrán dijo...

Estoy siguiendo los pasos que pones en tu blogs pero no consigo encontrar el parche p3851446_600_LINUX.zip. Es un parche especial para instalar en RHEL 5? No veo que le digas al compilador donde buscar las librerias compatibles.

Yo se lo pongo a mano al compilador y consigo que me linke pero cuando llega la hora de compilar los archivos que usan X11 empiezan las incompatibilidades entre las dos versiones del compilador.

Gracias por la ayuda un saludo desde Polonia,

David

sailefm dijo...

El parche p3851446_600_LINUX lo he dejado en https://sites.google.com/site/elfeme/files/p3851446_600_LINUX.zip

La verdad que no recuerdo si en su día lo bajé del Metalink o me lo pasó algún compañero de trabajo.

Precisamente ese parche es para: "FIX FOR DEVELOPER 6I + PATCH 16 GLIBC RELINKING ERRORS ON LINUX REDHAT EL 3.0" por lo que los problemas que tienes al relinkar seguramente los solucione.

Espero que te sirva de ayuda!!!

Lic. Alejandro Bellon dijo...

Gracias por tu info, quisiera preguntarte lo siguietne:
1 donde consigo losparches? solo 1 consegui, el que pusiste el link
2 pudiste ahcer correr el 6i en Ubuntu 10.04 o 10.10? ALparecer, da error, por eso estmaos probando ahora con fedora....
Mi email es alebellon@gmail.com, por cualquier cosa

Lic. Alejandro Bellon dijo...

Amigo, este archivo: p6194129_60828_LINUX (parche 19, no lo consigo por ninguna lado! lo tendrias por ahi????

sailefm dijo...

El p6194129_60828_LINUX, lo puedes bajar de estos enlaces, no se el tiempo que estará ahí....

http://www.megaupload.com/?d=47HRA0LJ
http://www.megaupload.com/?d=6EM7XH4J
http://www.megaupload.com/?d=Z40GOM6H

En Ubuntu y Fedora nunca intenté, simplemente ejecuté la versión de windows con Wine.

Pedro Tablas dijo...

Buen día a todos:

Alguien me puede apoyar con este parche

p6194129_60828_LINUX

Saludos.

sailefm dijo...

He dejado en este enlace el parche p6194129_60828_LINUX

https://www.dropbox.com/s/ypopmaa69zj69lw/p6194129_60828_LINUX.zip

Lo dejaré ahí de forma temporal, en unos días lo quito.

Pedro Tablas dijo...

Que tal Sailefm

Gracias... Por el parche.

Saludos.

fut.leandro dijo...

Necesito instalar el "Forms Server 6i" en un Linux 5.5 ", vi en su puesto que es possible hacer esto, pero yo sólo tengo el paquete p3596539_600_LINUX, pero me faltan los otros dos paquetes:
p6194129_60828_LINUX
d2k6irelease2.tar
¿Me puede ofrecerles?

Muchas gracias

Luiz Eduardo Leandro
Odebrecht Brasil
IT Specialist

sailefm dijo...

Hola:

Los dejo temporalmente en estos enlaces:

https://www.dropbox.com/s/og3hnv7e07fhdqn/p6194129_60828_LINUX.zip

https://www.dropbox.com/s/vglt6nvoqc0uqpi/d2k6irelease2.tar

Saludos,

Patricio Lopez dijo...

hola el segundo archivo no se encuentra en dropbox, lo puedes subir de nuevo?
Saludos,

Patricio Lopez dijo...

Disculpa , me refiero al archivo d2k6irelease2.tar
Saludos,

sailefm dijo...

Te paso el enlace nuevo: https://www.dropbox.com/s/6bi7t1r3gjytnde/d2k6irelease2.tar

Saludos,

Patricio Lopez dijo...

Estimado
Te estoy inmensamente agradecido.
Saludos,

Adriano Barone dijo...

Hola, sé que este post es bastante viejo, pero me pregunto si aún tiene los archivos y p3851446_600_LINUX
p6194129_60828_LINUX, tengo una prueba.